Subject: Protocol Action: 'Collective Attributes in LDAP' to Proposed Standard, 'Subentries in LDAP' to Proposed Standard, 'Genetic String Encoding Rules for ANS.1 Types' to Proposed Standard, and 'Common Elements of GSER Encodings' to Informational RFC

From: The IESG <[email-masked]>
Date: Tue, 12 Aug 2003 17:11:22 -0400

The IESG has approved the Internet-Drafts 'Collective Attributes in LDAP' 
<draft-zeilenga-ldap-collective-08.txt>, 'Subentries in LDAP' 
<draft-zeilenga-ldap-subentry-07.txt>, and 'Generic String Encoding Rules for 
ASN.1 Types' <draft-legg-ldap-gser-04.txt>, each as a Proposed Standard. 
The IESG has approved the Internet-Draft 'Common Elements of GSER Encodings' 
<draft-legg-ldap-gser-abnf-07.txt> as an Informational RFC.
These documents have been reviewed in the IETF but are not the product of an 
IETF Working Group. The IESG contact person is Ted Hardie.

Technical Summary
 
X.500 collective attributes allow common characteristics to be shared
between collections of entries. This document summarizes the X.500
information model for collective attributes and describes use of 
collective attributes in LDAP (Lightweight Directory Access Protocol).
The information needed are stored as subentries (special entries used 
to hold information associated with a subtree or subtree refinement).

"Collective Attributes in LDAP" provides schema definitions for collective
attributes for use in LDAP.

"Subentries in LDAP" adapts X.500 subentries mechanisms for use with LDAP.

"Generic String Encoding Rules for ASN.1 Types" defines a set of ASN.1
encoding rules that produce a human readable text encoding for values of
any given ASN.1 data type.

Working Group Summary
 
The documents have been discussed on the mailing lists for the LDAP 
working groups in the IETF, and in the LDAP Directorate. There is 
consensus for publication of these documents.
 
Protocol Quality
 
The specification has been reviewed for the IESG by Patrik Faltstrom.